// Iniciar a ligao  Base de Dados
SqlConnection conn = 
	new SqlConnection("SERVER=SQLSERVER; INTEGRATED SECURITY = TRUE; INITIAL CATALOG=ID");
			
// Abrir a conexo
conn.Open();

// Iniciar a transaco nesta conexo
SqlTransaction trans = conn.BeginTransaction();

// Definir um comando e atribuir-lhe a conexo e a transaco
SqlCommand cmd = new SqlCommand();
cmd.Connection = conn;
cmd.Transaction = trans;

try
{
	// Executar dois comandos de delete. Se algum falhar, executa o catch
	cmd.CommandText = "DELETE [DETALHES] WHERE ProductID = 42";

	cmd.ExecuteNonQuery();

	cmd.CommandText = "DELETE [PRINCIPAL] WHERE ProductID = 42";

	cmd.ExecuteNonQuery();

	trans.Commit();
}
catch(System.Exception ex)
{
	// Efectuar o rollback  transaco
	trans.Rollback();
}
finally
{
	// Fecha sempre a conexo
	conn.Close();
}